/* Expenditure on agriculture inputs */

data agexp01; set p91.f09db;
if pdseeds gt 0.;
/*////////////////////////////////////////////////////////////////////
/  Expenses recorded as negative amounts                             /
////////////////////////////////////////////////////////////////////*/
seed = (pdseeds)*-1.;
proc means sum noprint;
var seed;
class hid;
output out=agexp01 sum=exp01;

data agexp01; set agexp01;
if hid gt 0. and exp01 lt 0. and exp01 ne .;
keep hid exp01;


data agexp02; set p91.f09de;
one = 1.;
other1 =  by1_oth/50; other2 =  by2_oth/50;
  ssp1 =  by1_ssp/50;   ssp2 =  by2_ssp/50;
 urea1 = by1_urea/50;  urea2 = by2_urea/50;
  dap1 =  by1_dap/50;   dap2 =  by2_dap/50;

/*////////////////////////////////////////////////////////////////////
/  Average price for fertilizer used instead of price reported       /
/  by household as there appears to be quite a bit of noise          /
/  associated with the unit values reported.  One might instead      /
/  prefer to use average prices only where reported price is         /
/  missing (instead of using averages throughout)                    /
////////////////////////////////////////////////////////////////////*/

pother1 =  rs1_oth; pother2 =  rs2_oth;
  pssp1 =  rs1_ssp;   pssp2 =  rs2_ssp;
 purea1 = rs1_urea;  purea2 = rs2_urea;
  pdap1 =  rs1_dap;   pdap2 =  rs2_dap;

data prices; set agexp02;
keep hid pother1 pssp1 purea1 pdap1 pother2 pssp2 purea2 pdap2 one;

data prices; merge agexp02 p91.weights; by hid;
if one eq 1.;

proc means mean noprint;
var pother1;
weight weight;
where pother1 gt 0. and pother1 lt 1000.;
class one;
output out = price1 mean = apother;

data prices; set prices;
proc means mean noprint;
var purea1;
weight weight;
where purea1 gt 0. and purea1 lt 1000.;
class one;
output out = price2 mean = apurea;

data prices; set prices;
proc means mean noprint;
var pssp1;
weight weight;
where pssp1 gt 0. and pssp1 lt 1000.;
class one;
output out = price3 mean = apssp;

data prices; set prices;
proc means mean noprint;
var pdap1;
weight weight;
where pdap1 gt 0. and pdap1 lt 1000.;
class one;
output out = price4 mean = apdap;

data prices; merge price1 price2 price3 price4; by one;
if one gt 0.;
keep one apother apssp apurea apdap;

data agexp02; merge agexp02 prices; by one;

rother1 =  other1*apother;
  rssp1 =    ssp1*  apssp;
 rurea1 =   urea1* apurea;
  rdap1 =    dap1*  apdap;
rother2 =  other2*apother;
  rssp2 =    ssp2*  apssp;
 rurea2 =   urea2* apurea;
  rdap2 =    dap2*  apdap;

expfert = sum(of rother1 rother2 rssp1 rssp2
               rurea1 rurea2 rdap1 rdap2 costmanu);

data agexp02; set agexp02;
if expfert gt 0.;
exp02 = (expfert)*-1.;
keep hid exp02;

data agexp03; set p91.f09dh;
exp03=(pdherb)*-1.;
keep hid exp03;

/*////////////////////////////////////////////////////////////////////
/  Data for section 9, Part D, Question 31: Expenditure on agri.     /
/  inputs was missing in the SAS data diskettes that I have.  I      /
/  have therefore used the ASCII data file instead for this section  /
////////////////////////////////////////////////////////////////////*/

data agexp04;
infile 'c:\pihs\data\f09di.dat' delimiter=',';
input cid cluster nh hid ex_trans ex_cont ex_stor ex_lndim ex_watr
      ex_equip ex_comm ex_taxes;
exp04=(ex_trans+ex_cont+ex_stor+ex_lndim+ex_watr+ex_equip+ex_comm+ex_taxes)*-1;
keep hid exp04;

data x.agrinput; merge agexp01 agexp02 agexp03 agexp04; by hid;
agrinput=sum(of exp01 exp02 exp03 exp04);
if agrinput lt 0. and agrinput ne .;
keep hid agrinput;
run;
