/* Expenditure from selling water, hiring out animals, tractors, etc */

data agrent2a; merge p91.f09e1 p91.f09e2; by hid;
psu = int(hid/100.);
/* Net income from selling tubewell water */
expense =(sum (of electbwl oiltbwl reptbwl))*-1.;
 wsales = sum(of stbwl_r stbwl_k);
 wpurch =(sum(of btbwl_r btbwl_k))*-1.;
  water = sum(of expense wsales wpurch);

/* Net income from hiring draft animals */
outrabi = obul_r1*obul_r2;
outkhar = obul_k1*obul_k2;
 inrabi =(ibul_r1*ibul_r2)*-1.;
 inkhar =(ibul_k1*ibul_k2)*-1.;
animals = sum(of outrabi outkhar inrabi inkhar);

/* Expenses related to hiring tractor services */
/* A lot of noise in rates per hour reported - rates therefore taken */
/* from the community questionnaire.  For this, data set called      */
/* tractor has to be created, and kept in the same directory as the  */
/* other SAS primary datasets.                                       */

proc sort; by psu;
data agrent2a; merge agrent2a p91.tractor; by psu;
if t_rent eq . then t_rent = 100.;
trrabi = itr_r1*t_rent;
trkhar = itr_k1*t_rent;
tractor = (sum(of trrabi trkhar))*-1.;

keep hid water animals tractor;
proc sort; by hid;

/* Expenses related to hiring thresher services */

/*////////////////////////////////////////////////////////////////////
/   In order to assign values to in-kind payments for rent of agri.  /
/   machinery, prices for the various commodities taken from agri.   /
/   section.  Price taken to be that received per maund from         /
/   primary buyer.  For sugarcane, price = 15 Rs./maund              /
/   (see note sug_cane.sas file.                                     /
////////////////////////////////////////////////////////////////////*/

data prices; merge p91.f09b1 p91.weights; by hid;     /* Rabi crops */
if (cropcd eq 11. or cropcd eq 15. or cropcd eq 31.) and r_buy1u eq 2.;
keep hid weight cropcd r_buy1rs;
proc means noprint mean;
class cropcd;
var r_buy1rs;
weight weight;
output out=prices1 mean=price;

data prices1; set prices1;
if cropcd gt 0.;
keep cropcd price;

data prices; merge p91.f09b4 p91.weights; by hid;     /* Kharif crops */
if (cropcd eq 1 or cropcd eq 2. or cropcd eq 13. or cropcd eq 21.)
      and k_buy1u eq 2.;
keep hid weight cropcd k_buy1rs;
proc means noprint mean;
class cropcd;
var k_buy1rs;
weight weight;
output out=prices2 mean=price;

data prices2; set prices2;
if cropcd gt 0.;
keep cropcd price;

data prices3;                                      /* Sugarcane */
price = 15.;
cropcd = 101.;

data prices3; set prices3;
if cropcd gt 0.;
keep cropcd price;

data prices; merge prices1 prices2 prices3; by cropcd;
keep cropcd price;
proc sort; by cropcd;

data temp; set p91.f09e2;
cropcd = thr_crcd;
proc sort; by cropcd;

data temp; merge temp prices; by cropcd;
price1=price;
cropcd = ofr_crcd;
drop price;
proc sort; by cropcd;

data agrent2b; merge temp prices; by cropcd;
price2=price;
drop price;

cash1= thr_rs; cash2= ofr_rs;

/* For in-kind payments reported in rupees */
if thr_amtu eq 9. then inkind1 = thr_amt;
if ofr_amtu eq 9. then inkind2 = ofr_amt;

/* For in-kind payments reported in kilos */
if thr_amtu eq 1. then inkind1 = thr_amt*price1/40.;
if ofr_amtu eq 1. then inkind2 = ofr_amt*price2/40.;

/* For in-kind payments reported in maunds */
if thr_amtu eq 1. then inkind1 = thr_amt*price1;
if ofr_amtu eq 1. then inkind2 = ofr_amt*price2;

machine = (sum (of cash1 cash2 inkind1 inkind2))*-1.;
keep hid machine;
proc sort; by hid;


data x.agrrent2; merge agrent2a agrent2b; by hid;
agrrent2 = sum(of water animals tractor machine);
if agrrent2 ne .;
keep hid agrrent2;
run;
