/* Income from sales of dairy, poultry products, meat, and animal hides */

data dairy; set p91.f09h3;
if anprod eq 1.;

poultry = vchick*qchick*12.;
   eggs =   veggs*qeggs*12.;

expenses = (cstpltry*365.)*-1.;

   milk = kgmilk*vmilk*12.;
  other = salmlklm*12.;

  hides = rsalanm;
   wool = rsalwool;

dairy = sum(of poultry eggs expenses milk other hides wool);

data x.dairy; set dairy;
if dairy gt 0.;
keep hid dairy;
run;

/*/////////////////////////////////////////////////////////////////
/  Some high values for income in this section.  All come from    /
/  households that are selling milk.                              /
/  Dairy > 60,000 Rs. / year:                                     /
/                                                                 /
/  OBS    KGMILK    VMILK     MILK      DAIRY                     /
/                                                                 /
/   34     1200        5      72000     72000                     /
/   39     3000        7     252000    252000                     /
/   42      800        8      76800     76800                     /
/   43     1200        8     115200    115200                     /
/   47     1060        6      76320     76320                     /
/  149     1500        6     108000    107635                     /
/  255      750        8      72000     72000                     /
/  256     1800        7     151200    151200                     /
/  258     1500       10     180000    180000                     /
/  259     1200        9     129600    129600                     /
/  348     3000        4     144000    168000                     /
/  359     1200        8     115200    115200                     /
/  389     9000        8     864000    864000                     /
/////////////////////////////////////////////////////////////////*/
