/*  Income from selling livestock  */

data lvstocka; set p91.f09f2;
income = sum(of an_salec an_salek an_tendc an_tendk);
proc means noprint sum;
var income;
class hid;
output out=lvstock1 sum=income;

data lvstock1; set lvstock1;
if income gt 0. and hid gt 0.;
keep hid income;

data lvstockb; set p91.f09f3;
expense = (anexpend)*-1.;
proc means noprint sum;
var expense;
class hid;
output out=lvstock2 sum=expense;

data lvstock2; set lvstock2;
if expense lt 0. and hid gt 0.;
keep hid expense;

data lvstock; merge lvstock1 lvstock2; by hid;
if expense eq . then expense = 0.;
lvstock = income + expense;

data x.lvstock; set lvstock;
if income gt 0.;
lvstock = income;
keep hid lvstock;
run;
