/* Remittances received by household */

/* Section 16B includes some double-counting, as some household members  */
/* reported as working abroad in section 5D have again been included     */
/* here.  In all except 8 cases, the reported amount sent home is the    */
/* same in both cases.  All such cases have been excluded here. In 3     */
/* of the 7 exceptions, the amount reported in section 5D is higher.     */
/* These 3 cases have also been excluded here.  In the remaining 4       */
/* cases, the amount reported in Sec. 16B2 is greater than that          */
/* reported in 5D.  The amount by which the remittance in 16B2 exceeds   */
/* that in 5D is included in this section.  Finally, in order to         */
/* facilitate reaggregation according to different criteria, the amount  */
/* sent by household members (i.e. those in the roster) and others       */
/* is recorded seperately as h_remit and o_remit respectively.           */

data remit1; set p91.f16b2;
one=1; pid = sndid;
cash =sently_c; drop sently_c;
food =sently_f; drop sently_f;
other=sently_o; drop sently_o;
remitin = sum(of cash food other);

if sndid gt  0. then h_remit = remitin;
if sndid eq   . then pid = 99.;
if   pid eq 99. then o_remit = remitin;
keep hid pid h_remit o_remit;

proc sort; by hid pid;

data a; set p91.F05D2;             /* Information from 5D  */
vabroad = sum(of vcshabr vkndabr);
keep hid pid vabroad;

data remit; merge remit1 a; by hid pid;
if h_remit eq vabroad then h_remit = .;  /* Exclude double-counting */
if h_remit lt vabroad then h_remit = .;  /* Drop 3 cases            */
if h_remit gt vabroad then h_remit = (h_remit - vabroad);
                                         /* 4 special cases         */

keep hid pid h_remit o_remit;
proc summary sum;
var h_remit o_remit;
class hid;
output out=remit2 sum=;

data x.remitin; set remit2;
if hid gt 0. and (h_remit gt 0. or o_remit gt 0.);
keep hid h_remit o_remit;
run;
