/* Income from cultivation of sugar cane */

/*/////////////////////////////////////////////////////////////////
/  The most frequently reported price per maund is 15 Rs per      /
/  maund.  This incidently is also the mean price for sugarcane   /
/  from the community questionnaire.  However, in this section,   /
/  there is quite a bit of noise associated with the price.       /
/  Instead of using prices from this section, a uniform price of  /
/  15/Rs. per kilo has been taken.                                /
/  For those households not reporting quantity harvested, the     /
/  income from sugarcane is taken to be                           /
/  land under cultivation times average rupee yield per land unit /
/////////////////////////////////////////////////////////////////*/

data sugcane; set p91.f09b9;
if sug_haru gt 0. or sug_lnda gt 0. or sug_lndk gt 0.;
province=int(hid/100000000);
urbrural=(int(hid/10000000)-10*province);
land1=sug_lnda*8.; land2=sug_lndk;
land=(sum(land1, land2)/8.);
one=1;
/* Step 1: Taking Rs.. 15 as the price per maund */
aveprice = 15.;
if sug_haru eq 2. and sug_rsmu eq 2.;
valcane = sug_har * aveprice;

/* Step 2: Those households that report value in rupees */
if sug_haru eq 9. then valcane = sug_har;
if sug_rsmu eq 9. then valcane = sug_rsml;

/* Step 3: Those households with no quantity reported */
data temp; merge sugcane p91.weights; by hid;
one=1;
if valcane gt 0.;
aveyield = valcane / land;

proc means mean noprint;
var aveyield;
weight weight;
class one;
output out=yield mean=aveyield;

data yield; set yield;
if one gt 0.;
keep one aveyield;

data sugcane; merge sugcane yield; by one;
if valcane eq . and sug_haru eq 6. then valcane = aveyield * sug_har * 8.;
if valcane eq . and sug_haru eq 7. then valcane = aveyield * sug_har;
if valcane eq . and land gt 0. then valcane = aveyield * land;

data x.sug_cane; set sugcane;
if valcane gt 0.;
keep hid valcane;
run;
proc means; run;
