/* Wage income - non-agriculture  */

data nonagri; merge p91.f05b1 p91.f05b2 p91.f05b3
                    p91.f05b4 p91.f05b5; by hid pid;
if nonag12m eq 1.;

data a1; set nonagri;
keep hid pid occm indm hrsudm dayswkm wksyrm;
if hrsudm gt 0. and dayswkm gt 0. and wksyrm gt 0.;
proc summary mean;
class occm;
var hrsudm dayswkm wksyrm;
output out=a1 mean=;

data a1; set a1;
if occm gt 0.;
avehour1= hrsudm;
 aveday1=dayswkm;
aveweek1= wksyrm;
keep occm avehour1 aveday1 aveweek1;
proc sort; by occm;

data a2; set nonagri;
keep hid pid occs hrsuds dayswks wksyrs;
if hrsuds gt 0. and dayswks gt 0. and wksyrs gt 0.;
avedays2=dayswks*wksyrs;
proc summary mean;
class occs;
var hrsuds dayswks wksyrs;
output out=a2 mean=;

data a2; set a2;
if occs gt 0.;
avehour2= hrsuds;
 aveday2=dayswks;
aveweek2= wksyrs;
keep occs avehour2 aveday2 aveweek2;
proc sort; by occs;

proc sort data=nonagri; by occm;
data nonagri; merge nonagri a1; by occm;
proc sort data=nonagri; by occs;
data nonagri; merge nonagri a2; by occs;

data a2; set nonagri;
  pay = 0.; tip = 0.; ink = 0.; hou = 0.; trn = 0.;
  oth = 0.; prv = 0.; py2 = 0.; pr2 = 0.; ot2 = 0.;
  ot3 = 0.;
hours1=hrsudm; days1=dayswkm; weeks1=wksyrm;
hours2=hrsuds; days2=dayswks; weeks2=wksyrs;

if earnmu eq 2. and earnm gt 0. and hours1 gt 0. then do;
   earnm=earnm*hours1; earnmu=3.; end;
if earnmu eq 3. and earnm gt 0. and  days1 gt 0. then do;
   earnm=earnm* days1; earnmu=4.; end;
if earnmu eq 4. and earnm gt 0. and weeks1 gt 0. then do;
   pay  =earnm*weeks1; end;
if earnmu eq 5. and earnm gt 0. then  pay =  earnm*12.;
if earnmu eq 6. and earnm gt 0. then  pay =   earnm*4.;
if earnmu eq 7. and earnm gt 0. then  pay =   earnm*2.;
if earnmu eq 8. and earnm gt 0. then  pay =   earnm*1.;

if earnomu eq 2. and earnom gt 0. and hours1 gt 0. then do;
   earnom=earnom*hours1; earnomu=3.; end;
if earnomu eq 3. and earnom gt 0. and  days1 gt 0. then do;
   earnom=earnom* days1; earnomu=4.; end;
if earnomu eq 4. and earnom gt 0. and weeks1 gt 0. then do;
   tip = earnom*weeks1; end;
if earnomu eq 5. and earnom gt 0. then  tip =  earnom*12.;
if earnomu eq 6. and earnom gt 0. then  tip =   earnom*4.;
if earnomu eq 7. and earnom gt 0. then  tip =   earnom*2.;
if earnomu eq 8. and earnom gt 0. then  tip =   earnom*1.;

if ukndern eq 2. and vkndern gt 0. and hours1 gt 0. then do;
   vkndern=vkndern*hours1; ukndern=3.; end;
if ukndern eq 3. and vkndern gt 0. and  days1 gt 0. then do;
   vkndern=vkndern* days1; ukndern=4.; end;
if ukndern eq 4. and vkndern gt 0. and weeks1 gt 0. then do;
   ink = vkndern*weeks1; end;
if ukndern eq 5. and vkndern gt 0. then  ink =  vkndern*12.;
if ukndern eq 6. and vkndern gt 0. then  ink =   vkndern*4.;
if ukndern eq 7. and vkndern gt 0. then  ink =   vkndern*2.;
if ukndern eq 8. and vkndern gt 0. then  ink =   vkndern*1.;

  if uhouse  ge 1. and uhouse lt 5. then uhouse=5.;  /* 2 housing guys */
  if uhouse  eq 5. and vhouse gt 0 then hou = 12.*vhouse;
  if uhouse  eq 6. and vhouse gt 0 then hou =  4.*vhouse;
  if uhouse  eq 7. and vhouse gt 0 then hou =  2.*vhouse;
  if uhouse  eq 8. and vhouse gt 0 then hou =  1.*vhouse;

  if utrnspt eq 2. and vtrnspt gt 0. and hours1 gt 0. then do;
   vtrnspt=vtrnspt*hours1; utrnspt=3.; end;
  if utrnspt eq 3. and vtrnspt gt 0. and  days1 gt 0. then do;
   vtrnspt=vtrnspt* days1; utrnspt=4.; end;
  if utrnspt eq 4. and vtrnspt gt 0. and weeks1 gt 0. then do;
      trn = weeks1*vtrnspt; end;
  if utrnspt eq 5. and vtrnspt gt 0. then trn =    12.*vtrnspt;
  if utrnspt eq 6. and vtrnspt gt 0. then trn =     4.*vtrnspt;
  if utrnspt eq 7. and vtrnspt gt 0. then trn =     2.*vtrnspt;
  if utrnspt eq 8. and vtrnspt gt 0. then trn =     1.*vtrnspt;

  if uothbm  eq 2. and vothbm gt 0. and hours1 gt 0. then do;
     vothbm=vothbm*hours1; uothbm=3; end;
  if uothbm  eq 3. and vothbm gt 0. and  days1 gt 0. then do;
     vothbm=vothbm* days1; uothbm=4; end;
  if uothbm  eq 4. and vothbm gt 0. and weeks1 gt 0. then do;
       oth = weeks1*vothbm; end;
  if uothbm  eq 5. and vothbm gt 0. then oth =    12.*vothbm;
  if uothbm  eq 6. and vothbm gt 0. then oth =     4.*vothbm;
  if uothbm  eq 7. and vothbm gt 0. then oth =     2.*vothbm;
  if uothbm  eq 8. and vothbm gt 0. then oth =     1.*vothbm;

  if uprfund ge 1. and uprfund lt 5. then uprfund = 5.; /* 8 guys */
  if uprfund eq 5. and vprfund gt 0. then prv = 12.*vprfund;
  if uprfund eq 6. and vprfund gt 0. then prv =  4.*vprfund;
  if uprfund eq 7. and vprfund gt 0. then prv =  2.*vprfund;
  if uprfund eq 8. and vprfund gt 0. then prv =  1.*vprfund;

  if earnsu  eq 3. and earns eq 300 then earns = 30.; /* fix for 1 woman */

  if earnsu  eq 2. and earns gt 0. and hours2 gt 0. then do;
      earns=earns*hours2; earnsu=3; end;
  if earnsu  eq 3. and earns gt 0. and  days2 gt 0. then do;
      earns=earns* days2; earnsu=4; end;
  if earnsu  eq 4. and earns gt 0. and weeks2 gt 0. then do;
     py2 = weeks2*earns; end;
  if earnsu  eq 5. and earns gt 0. then py2 = 12.*earns;
  if earnsu  eq 6. and earns gt 0. then py2 =  4.*earns;
  if earnsu  eq 7. and earns gt 0. then py2 =  2.*earns;
  if earnsu  eq 8. and earns gt 0. then py2 =  1.*earns;

  if uothbs  eq 2. and vothbs gt 0. and hours2 gt 0. then do;
     vothbs=vothbs*hours2; uothbs=3; end;
  if uothbs  eq 3. and vothbs gt 0. and  days2 gt 0. then do;
     vothbs=vothbs* days2; uothbs=4; end;
  if uothbs  eq 4. and vothbs gt 0. and weeks2 gt 0. then do;
     ot2 = weeks2*vothbs; end;
  if uothbs  eq 5. and vothbs gt 0. then ot2 =    12.*vothbs;
  if uothbs  eq 6. and vothbs gt 0. then ot2 =     4.*vothbs;
  if uothbs  eq 7. and vothbs gt 0. then ot2 =     2.*vothbs;
  if uothbs  eq 8. and vothbs gt 0. then ot2 =     1.*vothbs;

  if vcshoth gt 0. and vkndoth gt 0. then ot3 = vcshoth+vkndoth;

data nonagri; set a2;
if hid gt 0.;
  pay01 = pay;  tips01 = tip;  food01 = ink;
trans01 = trn; other01 = oth;  prov01 = 2*prv;
income01=sum (of pay01 tips01 food01 trans01 other01 prov01);
 pay02 = py2;  prov02 = 2*pr2; other02 = ot2;
income02=sum (of pay02 prov02 other02);
income03=ot3;
if occs eq 80 and income02 eq 336000. then income02=13569.;
/* Fix: ___ assigned ave. for profession */

data nonagri; set nonagri;
if income01 eq 0. then income01= .;
if income02 eq 0. then income02= .;
if income03 eq 0. then income03= .;

/* At this point, there are some people reported as currently working  */
/* with no income calculated, because earnings have been reported per  */
/* week, but there is no information on weeks worked in the year.      */
/* Interviewer 52 appears to be the main culprit.  Income for these    */
/* individuals is calculated assuming they work the ave. number of     */
/* weeks reported by other individuals in the same profession.         */

if earnm gt 0. and earnmu eq 4. and income01 eq .
   then income01 = earnm * aveweek1;

/* Finally, there are still about 60 or so individuals for whom there */
/* is no income calculated, because no wage information is available. */
/* Income for these individuals is calculated taking the average for  */
/* other individuals in the same profession, adjusting for the hours  */
/* worked per year by the individual compared to ave. hours reported  */
/* by other individuals in the same profession.                       */

data aveinc; set nonagri;
keep hid pid occm income01;
if income01 gt 0.;
proc summary mean;
class occm;
var income01;
output out=aveinc mean=;

data aveinc; set aveinc;
if occm gt 0.;
aveinc= income01;
keep occm aveinc;
proc sort; by occm;

proc sort data = nonagri; by occm;
data nonagri; merge nonagri aveinc; by occm;
if income01 eq . and hrsudm gt 0. then
   income01 = (aveinc * hrsudm * wksyrm)/(avehour1 * aveweek1);

proc sort; by hid pid;

data x.w_nagri; set nonagri;
w_nagri=sum (of income01 income02 income03);
if w_nagri gt 0.;
keep hid pid w_nagri;
run;
